Register a new GraphID
PUT
/graph/v1
const url = 'https://example.com/graph/v1';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"graph_id":"00000000-0000-0000-0000-000000000000","name":"First Graph","parent_id":"00000000-0000-0000-0000-000000000011"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/graph/v1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "graph_id": "00000000-0000-0000-0000-000000000000", "name": "First Graph", "parent_id": "00000000-0000-0000-0000-000000000011" }'Register a new GraphID
Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
graph_id
required
string
Example
00000000-0000-0000-0000-000000000000 name
required
string
Example
First Graph parent_id
string
Example
00000000-0000-0000-0000-000000000011Responses
Section titled “ Responses ”New graph registered
Parent graph does not exist
Graph was already registered